Subject: Re: bug#54424: Broken links in cookbook
From: Ludovic Courtès <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: [email-masked]
Date: Fri, 08 Apr 2022 20:20:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Greg Hogan <[email-masked]> skribis:

> 1) I noticed that the following link (diff below) to "Package Reference"
> looks to have changed to lowercase "package Reference" but not updated
> (there is a working link closely following). Then I scanned the page and
> found additional broken links:
>
> 2) The link at the end of "Go ahead, run guix install sicp and start
> reading with info sicp (see Structure and Interpretation of Computer
> Programs)" is an internal reference but does not appear in the cookbook?
>
> 3) The language links (I see "This manual is also available in French (see
> Livre de recettes de GNU Guix) and German (see GNU-Guix-Kochbuch)" from
> English) are broken and need the digraph to precede the ".html" path suffix
> (but not for 'en'!).

Fixed with these three commits:

  868da34d54 doc: Fix cookbook URLs in htmlxref.cnf.
  6e747c3d50 doc: cookbook: Fix cross-reference to SICP.
  63a11f92d1 doc: cookbook: Fix cross-reference to the manual.

It should propagate to the on-line copy within an hour.

Note that SICP doesn’t have a Texinfo-compatible set of HTML pages
on-line, so that links will unfortunately remain broken.

Thanks,
Ludo’.